using MahApps.Metro.Controls;
using Misc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Unity;

namespace FLY.Thick.FilmCasting.UI.DbViewer
{
    /// <summary>
    /// WindowMain.xaml 的交互逻辑
    /// </summary>
    public partial class WindowMain : MetroWindow
    {
        public WindowMain()
        {
            InitializeComponent();
            App.MetroWindow = this;

            var container = App.Current.Properties[nameof(IUnityContainer)] as IUnityContainer;
            var p = new PgMain();
            container.BuildUp(p);
            this.frame.Content = p ;

            Ver ver = new Ver() { SrcType = this.GetType() };

            this.Title = ver.ToString();
        }

        private void ButtonGitLabClick(object sender, RoutedEventArgs e)
        {
        }
    }
}
